#pragma once
#include "dx_pipeline_loader.h"
#include "core/pipeline/sdf_text_pipeline.h"

class dx_sdf_text_pipeline : public sdf_text_pipeline {
public:
    bool init() override;

    void use() override;
    void draw() override;

    void set_param(const param& in_param) override;
    void set_sdf_font_param(const sdf_font_param& in_param) override;
private:
    dx_pipeline_loader loader;
};
